## org.hibernate.ejb.criteria
Class OrderImpl

    java.lang.Object
      org.hibernate.ejb.criteria.OrderImpl

All Implemented Interfaces:
  Serializable, javax.persistence.criteria.Order

    public class OrderImpl

extends Object
implements javax.persistence.criteria.Order, Serializable

Represents an `ORDER BY` fragment.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`OrderImpl(javax.persistence.criteria.Expression<?> expression)`
`OrderImpl(javax.persistence.criteria.Expression<?> expression, boolean ascending)`

Method Summary
`javax.persistence.criteria.Expression<?>` `getExpression()`
`boolean` `isAscending()`
`javax.persistence.criteria.Order` `reverse()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderImpl

    public OrderImpl(javax.persistence.criteria.Expression<?> expression)

### OrderImpl

    public OrderImpl(javax.persistence.criteria.Expression<?> expression,
                     boolean ascending)

Method Detail

### reverse

    public javax.persistence.criteria.Order reverse()

  Specified by:
    `reverse` in interface `javax.persistence.criteria.Order`

### isAscending

    public boolean isAscending()

  Specified by:
    `isAscending` in interface `javax.persistence.criteria.Order`

### getExpression

    public javax.persistence.criteria.Expression<?> getExpression()

  Specified by:
    `getExpression` in interface `javax.persistence.criteria.Order`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.